{
  TH1D* h=new TH1D("h","",100,-5,5);
  TF1* f=new TF1("f","TMath::BreitWigner(x,0,1)",-5,5);
  h->FillRandom("f");

  ROOT::Fit::BinData data;
  ROOT::Fit::FillData(data,h);

  TF1* f1=new TF1("f1","gaus",-5,5);
  ROOT::Math::WrappedMultiTF1 wf(*f1,1);
  ROOT::Fit::Fitter fitter;
  fitter.SetFunction(wf);
  fitter.Config().SetNormErrors();
  fitter.Config().ParSettings(0).SetValue(200);
  fitter.Config().ParSettings(2).SetValue(2);
  fitter.Fit(data);
  fitter.Result().Print(cout,true);

  f1->SetFitResult(fitter.Result());
  h->GetListOfFunctions()->Add(f1);
  h->Draw();
}
